import 'dart:convert';
import 'dart:io';
import 'dart:typed_data';
import 'package:path_provider/path_provider.dart';

class LocalStorageManager {
  LocalStorageManager._();

  static Future<void> save(String base64String, String filename) async {
    Uint8List bytes = base64.decode(base64String);
    final directory = await getApplicationDocumentsDirectory();
    final file = File('$directory/$filename');
    await file.writeAsBytes(bytes);
  }
}
